Bio Radio SDK - Xamarin Android: GLNeuroTech.Devices.Common.VirtualDeviceAdapter Class Reference

| Bio Radio SDK - Xamarin Android

Public Member Functions | Public Attributes | Properties | List of all members
GLNeuroTech.Devices.Common.VirtualDeviceAdapter Class Reference

Provides access to a "virtual" device that accepts input data from a file rather than streaming from a physical device. More...

Inheritance diagram for GLNeuroTech.Devices.Common.VirtualDeviceAdapter:

## Public Member Functions

void | FeedNextChunk ()
| Streams the next chunk of data to the virtual device. More...
void | FeedNextChunk (int chunkSize)
| Streams a chunk of data of a specified length to the virtual device. More...
void | Dispose ()

## Public Attributes

const int | DefaultChunkSize = 32767
| The default number of bytes that will be read from the input file and fed to the virtual device input stream. This value is 32,767. More...

## Properties

IDaqDevice | BaseDevice`[get, set]`
| The underlying DaqDevice object receiving input data from the file. More...
bool | EndOfFileReached`[get]`
| Indicates when the end of the input file has been reached and there is no more data to feed to the device. More...

## Detailed Description

Provides access to a "virtual" device that accepts input data from a file rather than streaming from a physical device.

## Member Function Documentation

## ◆ Dispose()

void GLNeuroTech.Devices.Common.VirtualDeviceAdapter.Dispose | ( |  | ) |

## ◆ FeedNextChunk() [1/2]

void GLNeuroTech.Devices.Common.VirtualDeviceAdapter.FeedNextChunk | ( |  | ) |

Streams the next chunk of data to the virtual device.

## ◆ FeedNextChunk() [2/2]

void GLNeuroTech.Devices.Common.VirtualDeviceAdapter.FeedNextChunk | ( | int | chunkSize | ) |

Streams a chunk of data of a specified length to the virtual device.

Parameters

  chunkSize | The number of bytes to stream to the device.

## Member Data Documentation

## ◆ DefaultChunkSize

const int GLNeuroTech.Devices.Common.VirtualDeviceAdapter.DefaultChunkSize = 32767

The default number of bytes that will be read from the input file and fed to the virtual device input stream. This value is 32,767.

## Property Documentation

## ◆ BaseDevice

IDaqDevice GLNeuroTech.Devices.Common.VirtualDeviceAdapter.BaseDevice

getset

The underlying DaqDevice object receiving input data from the file.

## ◆ EndOfFileReached

bool GLNeuroTech.Devices.Common.VirtualDeviceAdapter.EndOfFileReached

get

Indicates when the end of the input file has been reached and there is no more data to feed to the device.